__gnu_cxx::throw_value_random Struct Reference
Inheritance diagram for __gnu_cxx::throw_value_random:
[legend]

## Public Types

typedef throw_value_base< random_condition > | base_type
typedef random_condition | condition_type

## Public Member Functions

| throw_value_random (const std::size_t __i)
| throw_value_random (const throw_value_random &__other)
| throw_value_random (throw_value_random &&)=default
throw_value_base & | operator++ ()
throw_value_random & | operator= (const throw_value_random &__other)
throw_value_random & | operator= (throw_value_random &&)=default
void | seed (unsigned long __s)

## Static Public Member Functions

static void | set_probability (double __p)
static void | throw_conditionally ()

## Public Attributes

std::size_t | _M_i

## Detailed Description

Type throwing via random condition.

Definition at line 772 of file throw_allocator.h.

The documentation for this struct was generated from the following file:

- throw_allocator.h